# onion-grab of Tranco top-1m (2023-04-03)

This directory contains the results of running onion-grab 28 times against
[Tranco top-1m][], permalink [Z2XKG][] with the following SHA256 hash:

    $ sha256sum tranco_Z2XKG-1m.csv.zip
    3e078a84e9aae7dbaf1207aac000038f1e51e20e8ccc35563da8b175d38a39dd  tranco_Z2XKG-1m.csv.zip

[Tranco top-1m]: https://tranco-list.eu/
[Z2XKG]: https://tranco-list.eu/list/Z2XKG/1000000

Our measurements were conducted on 2023-04-03 CEST.  Exact timestamps (UTC) are
available in the following subdirectories:

  - [20230402-232627](./20230402-232627): 9 measurements
    - 3x Stockholm, limits 100, 500, 1450
    - 3x Melbourne, limits 100, 500, 1450
    - 3x New York, limits 100, 500, 1450
  - [20230403-124743](./20230403-124743): 9 measurements
    - 3x Stockholm, limits 1000, 1200, 1400
    - 3x Melbourne, limits 1000, 1200, 1400
    - 3x New York, limits 1000, 1200, 1400
  - [20230403-181847](./20230403-181847) 10 measurements
    - 1x Stockholm, limit 1200
    - 1x Stockholm, limit 1201
    - 1x Stockholm, limit 1202
    - 1x Stockholm, limit 1203
    - 1x Stockholm, limit 1204
    - 1x Stockholm, limit 1446
    - 1x Stockholm, limit 1447
    - 1x Stockholm, limit 1448
    - 1x Stockholm, limit 1449
    - 1x Stockholm, limit 1450

The filenames in these subdirectories are formatted as `<relay>-l<limit>.txt`,
where relay refers to the hostname of a Mullvad VPN relay.  For the exact
measurement configuration and additional information, see `stderr.txt`.  For
the script that produced the respective stderr output, see `scripts/test.sh`.

The raw results can be digested as follows:

    $ ./scripts/digest.py -i\
          20230402-232627/*-*-*\
          20230403-124743/*-*-*\
          20230403-181847/*-*-* 2>&1 | tail -n4
    digest.py:27 INFO: found 285 unqiue domain names that set Onion-Location
    digest.py:28 INFO: found 207 unique two-label onion addresses in the process
    digest.py:30 INFO: storing domains with valid Onion-Location configurations in domains.txt
    digest.py:35 INFO: storing two-label onion addresses that domains referenced in onions.txt

The parsed `domain.txt` and `onion.txt` files are included for convenience.
